uniform sampler2DShadow ShadowMap;
varying vec4 ShadowCoord;

//float lookup(float x, float y)
//{
//float depth = shadow2DProj(ShadowMap,ShadowCoord + vec4(x,y,0,0)*Epsilon).x;
//}

void main()
{

vec4 color=shadow2DProj(ShadowMap,ShadowCoord);
//vec4 color = texture2D(tex,gl_TexCoord[1].st);
gl_FragColor=color; //gl_Color;
}
